Bug 864656 - Drop syslog dependency?
Drop syslog dependency?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 17:09 EDT by Ville Skyttä
Modified: 2012-10-15 04:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: cronie-1.4.8-14.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 04:55:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-10-09 17:09:52 EDT
With systemd providing syslog/journal, it seems that the dependency on syslog could/should be dropped from cronie. As it stands, cronie is the only thing on my system that prevents removal of rsyslog.
Comment 1 Marcela Mašláňová 2012-10-10 06:13:49 EDT
cronie requires syslog capability. I thought every logging tool will provide syslog in their provides.
Comment 2 Ville Skyttä 2012-10-14 09:56:35 EDT
(In reply to comment #1)
> cronie requires syslog capability.

Hm, really? That sounds unusual. AFAIK a lot of software will do syslog logging if syslog is available, but if not, they just don't do that but do work otherwise. Is cronie somehow different? Anyway, I'd say systemd and the syslog capability it provides is pretty much guaranteed to be around nowadays.

> I thought every logging tool will provide syslog in their provides.

I suppose that's pretty much an obsolete provision now, then.
Comment 3 Marcela Mašláňová 2012-10-15 04:55:13 EDT
You are very persuasive.

Note You need to log in before you can comment on or make changes to this bug.